class Grid{

    private int width {get;}
    private int height {get;}

    private Cell [,] cellArray;

    public Grid(int width, int height) {
        this.width = width;
        this.height = height;

        cellArray = new Cell[width,height];
        Init();
    }

    public void Init() {
        for (int x = 0; x < width; x++)
            {
                for (int y = 0; y < height; y++)
                {
                    cellArray[x,y] = new Cell();
                }
            }
    }

    public void setCell (int x, int y, int type = 1) {
        cellArray[x, y].type = type;
    }

    public int getCell (int x, int y){
        return cellArray[x,y].type;
    }
}