using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Overworld : MonoBehaviour
{

    public TilemapController tilemapController;

    public int maxHeight;
    public int horizonHeight;
    public int width;


    // Start is called before the first frame update
    void Start()
    {
        Generation();
    }

    private void Generation()
    {
        for(int x = 0; x < maxHeight; x++)
        {
            for (int y = 0; y < width; y++)
            {
                float xCoord = (float)x / width;
                float yCoord = (float)y / width;
                float field = Mathf.PerlinNoise(xCoord, yCoord);
                Debug.Log(x + ":"+ y +"="+ field);
            }
        }
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
