using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DefaultGenerator
{
    public static int[] GetRandomNoise(int seed, int width, int maxHeight)
    {
        Random.InitState(seed);
        int[] heigtValues = new int[width];
        for (int x = 0; x < width; x++)
        {
            int height = Random.Range(0, maxHeight);
            heigtValues[x] = height;
        }
        return heigtValues;
    }

    public static int[] GetRandomNoise(int seed, int width, int maxHeight, int minHeight)
    {
        Random.InitState(seed);
        int[] heigtValues = new int[width];
        for (int x = 0; x < width; x++)
        {
            int height = Random.Range(minHeight, maxHeight);
            heigtValues[x] = height;
        }
        return heigtValues;
    }
}
