﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class TerrainGenerationEasy : MonoBehaviour
{
    [SerializeField] int height, width;

    [SerializeField] TilemapController tilemapController;

    // Start is called before the first frame update
    void Start()
    {
        Generation();
    }

    void Generation()
    {
        for (int x = 0; x < width; x++)
        {
			for (int y = 0; y < height; y++)
            {
            	tilemapController.spawnTile(x, y, TileType.DIRT);
            }
            tilemapController.spawnTile(x, height, TileType.GRASS);
        }
    }
}
