﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class TerrainGenerationEasy2 : MonoBehaviour
{
    [SerializeField] int maxHeight, width;

    [SerializeField] TilemapController tilemapController;

    // Start is called before the first frame update
    void Start()
    {
        Random.InitState(0);
        Generation();
    }

    void Generation()
    {
        for (int x = 0; x < width; x++)
        {
            int height = Random.Range(0, maxHeight);
            for (int y = 0; y < height; y++)
            {
                tilemapController.spawnTile(x, y, TileType.DIRT);
            }
            tilemapController.spawnTile(x, height, TileType.GRASS);
        }
    }
}
