﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class TerrainGenerationEasy3 : MonoBehaviour
{
    [SerializeField] int height, width;

    [SerializeField] TilemapController tilemapController;

    // Start is called before the first frame update
    void Start()
    {
        Random.InitState(0);
        Generation();
    }

    void Generation()
    {
        for (int x = 0; x < width; x++)
        {
            int minHeight = height - 1;
            int maxHeigt = height + 2;

            height = Random.Range(minHeight, maxHeigt);
            for (int y = 0; y < height; y++)
            {
                tilemapController.spawnTile(x, y, TileType.DIRT);
            }
            tilemapController.spawnTile(x, height, TileType.GRASS);
        }
    }
}
